Last Comment Bug 260437 - "Set as Wallpaper" changes wallpaper for all users (should not save in windows directory)
: "Set as Wallpaper" changes wallpaper for all users (should not save in window...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Shell Integration (show other bugs)
: Trunk
: x86 Windows XP
: -- minor with 11 votes (vote)
: Firefox1.5
Assigned To: O. Atsushi (Torisugari)
:
Mentors:
: 302311 304516 317160 321770 (view as bug list)
Depends on: 181273
Blocks: 276299
  Show dependency treegraph
 
Reported: 2004-09-19 18:13 PDT by Nicholas Furgiuele
Modified: 2006-03-12 18:00 PST (History)
15 users (show)
asa: blocking1.8b5+
bugs: blocking‑aviary1.5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1.0 (for firefox) (3.15 KB, patch)
2004-12-26 13:42 PST, O. Atsushi (Torisugari)
no flags Details | Diff | Review
Patch v1.1 (for firefox) (5.48 KB, patch)
2004-12-28 22:05 PST, O. Atsushi (Torisugari)
no flags Details | Diff | Review
Patch v1.2 (for firefox) (5.89 KB, patch)
2005-01-17 09:43 PST, O. Atsushi (Torisugari)
mconnor: review+
Details | Diff | Review
Patch v1.3 (for firefox) (6.44 KB, patch)
2005-07-21 22:48 PDT, O. Atsushi (Torisugari)
benjamin: review-
Details | Diff | Review
Patch v1.4 (for firefox) (7.52 KB, patch)
2005-07-22 11:15 PDT, O. Atsushi (Torisugari)
benjamin: review+
Details | Diff | Review
Patch v1.5 (7.52 KB, patch)
2005-07-23 16:55 PDT, O. Atsushi (Torisugari)
benjamin: review+
benjamin: approval1.8b4+
Details | Diff | Review
Screenshot of "Display Properties" > "Desktop" (29.31 KB, image/png)
2005-07-23 18:01 PDT, O. Atsushi (Torisugari)
no flags Details

Description Nicholas Furgiuele 2004-09-19 18:13:59 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20040913 Firefox/0.10
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20040913 Firefox/0.10

Because it appears that Firefox uses a single wallpaper file:
C:\Windows\Firefox Wallpaper.bmp

If a PC contains multiplul user accounts, and each user has used Firefox to
change their wallpaper. When one user changes their wallpaper using the "Set as
Wallpaper" option in Firefox, it will change the wallpaper for every other user.

Instead of having every user's wallpaper linked to "C:\Windows\Firefox
Wallpaper.bmp" it would be better to have a single wallpaper file specific to
each user account on the PC.

Occurs only if each user has used Firefox to set their wallpaper.

Reproducible: Always
Steps to Reproduce:
1. Log in to any user account on the system
2. Launch Firefox and use the "Set as Wallpaper" option
3. Use the Windows "Switch User" function to quickly go into another user account
4. Launch Firefox and use the "Set as Wallpaper" option
5. Log out of the second user account and log back into the original user account
6. The wallpaper will now be the same as the one set in the 2nd user account.

Actual Results:  
Wallpaper for all users who have used Firefox to set their wallpaper will be
changed.

Expected Results:  
Each individual user should retain their own wallpaper.

Would be beneficial to have this fixed by 1.0 because I imagne that its simple
things like this that would cause users to switch back to IE.
Comment 1 jon rekai 2004-09-19 18:52:05 PDT
(In reply to comment #0)
> Because it appears that Firefox uses a single wallpaper file:
> C:\Windows\Firefox Wallpaper.bmp

Bug 181273 is about this.  Its comment 0 observes
> multiple users will all share the same wallpaper file :-(
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2004-09-21 18:07:33 PDT
Confirming depends.
Comment 3 O. Atsushi (Torisugari) 2004-12-26 13:42:29 PST
Created attachment 169602 [details] [diff] [review]
Patch v1.0 (for firefox)

Based upon
https://bugzilla.mozilla.org/show_bug.cgi?id=181273#c17
Comment 4 O. Atsushi (Torisugari) 2004-12-28 22:05:50 PST
Created attachment 169794 [details] [diff] [review]
Patch v1.1 (for firefox)

firefox version of bug 181273

The file path changed
from c:\\windows\Firefox Wallpaper.bmp
to %AppData%\Mozilla\Firefox\Firefox Wallpaper.bmp
Comment 5 O. Atsushi (Torisugari) 2005-01-17 04:22:31 PST
I've just noticed the patch in bug 257803 was
checked in...
Comment 6 O. Atsushi (Torisugari) 2005-01-17 09:43:47 PST
Created attachment 171537 [details] [diff] [review]
Patch v1.2 (for firefox)

Updated.
Comment 7 William Price 2005-05-30 09:51:53 PDT
Wouldn't it make more sense to store the wallpaper somewhere in the
"%userprofile%\My Documents" tree?  Perhaps "%userprofile%\My Documents\My
Pictures" ?

If someone decided to blow away their Firefox install for some reason (including
the profile folders, etc.), they'd probably not be intending to erase their
wallpaper if they're still using it.  I'd argue it doesn't belong in Fx's app
data area because after saving, Firefox never has a need to reopen the file.

My $0.02.
Comment 8 Justin Kerk 2005-05-30 17:34:26 PDT
That's a good idea, but don't assume My Documents is in %userprofile%\My
Documents, there's a separate variable for the location of My Documents since it
can be in a custom location (the same goes for My Pictures, for that matter).
Comment 9 O. Atsushi (Torisugari) 2005-05-30 21:09:29 PDT
(In reply to comment #7)
> Wouldn't it make more sense to store the wallpaper somewhere in the
> "%userprofile%\My Documents" tree?  Perhaps "%userprofile%\My Documents\My
> Pictures" ?

I also think it makes some sense. However, well, please take a look at
bug 181273 , especially timeless' comments.

IMHO, your concern doesn't balnce out the old decision. Though I can be totally
wrong, for firefox doesn't seem as sensitive about compatibility issues
as seamonkey is.

Anyway, it's up to the module owner/peers.
Comment 10 O. Atsushi (Torisugari) 2005-07-21 22:48:01 PDT
Created attachment 190100 [details] [diff] [review]
Patch v1.3 (for firefox)

1. bug 274374 made the old patch obsolete.
2. Fixed a regression between bug 282057 and bug 274374
(chrome://global/ <-> chrome://branding/)
3. Inserted error checks.
4. Fixed comments.
Comment 11 Benjamin Smedberg [:bsmedberg] 2005-07-22 07:08:25 PDT
Comment on attachment 190100 [details] [diff] [review]
Patch v1.3 (for firefox)

1) Since the file is in appdata/Mozilla/Firefox anyway, why call it "Firefox
Background.bmp"... just call it "Desktop Background.bmp".
Comment 12 O. Atsushi (Torisugari) 2005-07-22 11:15:06 PDT
Created attachment 190160 [details] [diff] [review]
Patch v1.4 (for firefox)

(In reply to comment #11)
>  "Firefox Background.bmp"... just call it "Desktop Background.bmp".
OK.

BTW, on linux, wallpaper file name is "%HOME%/Firefox_Wallpaper.png".
http://lxr.mozilla.org/mozilla/source/browser/components/shell/src/nsGNOMEShellService.cpp#416


I'm not too sure why the patch for mac (attachment 186667 [details] [diff] [review]) fixed the windows
intl
problem and did not fix that of linux, but I think it should be localizable as
well.
Maybe in a separated bug.
Comment 13 Asa Dotzler [:asa] 2005-07-22 14:47:36 PDT
If this is gonna make 1.5, we need this patch in sooner rather than later. 
Comment 14 Benjamin Smedberg [:bsmedberg] 2005-07-23 12:29:25 PDT
Comment on attachment 190160 [details] [diff] [review]
Patch v1.4 (for firefox)

Please rename the properties key "desktopBackgroundFileNameWin" so that it will
break the compare-locales script (any time you significantly change a localized
string you should rename the key).
Comment 15 O. Atsushi (Torisugari) 2005-07-23 16:55:41 PDT
Created attachment 190280 [details] [diff] [review]
Patch v1.5

(In reply to comment #14)
> Please rename the properties key "desktopBackgroundFileNameWin" so that it
will
> break the compare-locales script (any time you significantly change a
localized
> string you should rename the key).

Renamed it.
Comment 16 O. Atsushi (Torisugari) 2005-07-23 18:01:39 PDT
Created attachment 190284 [details]
Screenshot of "Display Properties" > "Desktop"

(In reply to comment #11)
> why call it "Firefox Background.bmp"

Something reminds me that "Display Properties" (right
click on the desktop and select "Properties" and
"Desktop" tab) shows the list of background files.

Therefore a file name which contains the brand name,
such as "Firefox Background" or "Background by Firefox",
is not so meaningless.
Comment 17 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-07-24 16:10:30 PDT
Checking in mozilla/browser/components/shell/src/nsWindowsShellService.cpp;
/cvsroot/mozilla/browser/components/shell/src/nsWindowsShellService.cpp,v  <--
nsWindowsShellService.cpp
new revision: 1.21; previous revision: 1.20
done
Checking in mozilla/browser/locales/en-US/chrome/browser/shellservice.properties;
/cvsroot/mozilla/browser/locales/en-US/chrome/browser/shellservice.properties,v
<--  shellservice.properties
new revision: 1.5; previous revision: 1.4
done
Comment 18 Jo Hermans 2005-07-27 15:11:11 PDT
*** Bug 302311 has been marked as a duplicate of this bug. ***
Comment 19 Adam Guthrie 2005-08-12 20:31:08 PDT
*** Bug 304516 has been marked as a duplicate of this bug. ***
Comment 20 José Jeria 2005-11-20 10:22:27 PST
*** Bug 317160 has been marked as a duplicate of this bug. ***
Comment 21 O. Atsushi (Torisugari) 2005-12-29 00:23:05 PST
*** Bug 321770 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.